curl --request POST \
--url https://apis.finevoice.ai/v1/music/cover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"voice": "james",
"pitch": 0,
"outputFormat": "mp3",
"audioName": "<string>",
"audioCover": "<string>",
"way": "m2",
"cut": 123,
"engine": "v5",
"sourceUrl": "https://example.com/song.mp3",
"singers": [
{
"voice": "james",
"pitch": 123,
"engine": "v5",
"diffusion_steps": 123,
"auto_f0_adjust": true
}
],
"instrument_pitch": 123,
"pitch_control": "rmvpe",
"diffusion_steps": 123,
"auto_f0_adjust": true,
"vocal_types": "solo"
}
'import requests
url = "https://apis.finevoice.ai/v1/music/cover"
payload = {
"voice": "james",
"pitch": 0,
"outputFormat": "mp3",
"audioName": "<string>",
"audioCover": "<string>",
"way": "m2",
"cut": 123,
"engine": "v5",
"sourceUrl": "https://example.com/song.mp3",
"singers": [
{
"voice": "james",
"pitch": 123,
"engine": "v5",
"diffusion_steps": 123,
"auto_f0_adjust": True
}
],
"instrument_pitch": 123,
"pitch_control": "rmvpe",
"diffusion_steps": 123,
"auto_f0_adjust": True,
"vocal_types": "solo"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
voice: 'james',
pitch: 0,
outputFormat: 'mp3',
audioName: '<string>',
audioCover: '<string>',
way: 'm2',
cut: 123,
engine: 'v5',
sourceUrl: 'https://example.com/song.mp3',
singers: [
{
voice: 'james',
pitch: 123,
engine: 'v5',
diffusion_steps: 123,
auto_f0_adjust: true
}
],
instrument_pitch: 123,
pitch_control: 'rmvpe',
diffusion_steps: 123,
auto_f0_adjust: true,
vocal_types: 'solo'
})
};
fetch('https://apis.finevoice.ai/v1/music/cover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Music Cover
Create an AI voice cover of a song by replacing the original vocals with a target AI voice model.
Authorizations
Bearer token (API key). Format: Bearer {your_api_key}
Body
The music cover request payload.
The primary target voice model name.
"james"
Vocal pitch offset in semitones.
-12 <= x <= 120
The desired output format.
"mp3"
The output audio name.
The cover image URL.
Processing mode. Must be m2.
"m2"
The cut mode.
Voice conversion engine. v5: great for singing (rich vibrato, more noise). v7: great for speech (clean, stable).
v5, v7 "v5"
The source audio URL.
"https://example.com/song.mp3"
Singer configurations for a multi-singer cover.
Show child attributes
Show child attributes
Instrumental pitch offset in semitones.
Pitch control mode. Must be rmvpe.
"rmvpe"
Number of diffusion steps.
Whether to enable automatic F0 adjustment.
Vocal type configuration.
solo, chorus, duets "solo"
Response
Task accepted.
The response is of type object.